package com.ssj.bean.sys.fx.domain;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

@Entity
@Table(name = "fx_device_balance")
public class DeviceBalance extends BaseEntity {
	
    private static final long serialVersionUID = 1L;
	
    private String balanceMonth;
    
    private String libId;
 
    private Integer lastHaveBalance;
    
    private Integer lastNotBalance;
    
    private Integer curHaveLoss;
    
    private Integer curNotLoss;
    
    private Integer curHaveAdd;
    
    private Integer curNotAdd;
    
    private Integer curHaveCount;
    
    private Integer curNotCount;
    
    private Date createTime;
    
    private Date updateTime;

	public String getBalanceMonth() {
		return balanceMonth;
	}

	public void setBalanceMonth(String balanceMonth) {
		this.balanceMonth = balanceMonth;
	}

	public String getLibId() {
		return libId;
	}

	public void setLibId(String libId) {
		this.libId = libId;
	}

	public Integer getLastHaveBalance() {
		return lastHaveBalance;
	}

	public void setLastHaveBalance(Integer lastHaveBalance) {
		this.lastHaveBalance = lastHaveBalance;
	}

	public Integer getLastNotBalance() {
		return lastNotBalance;
	}

	public void setLastNotBalance(Integer lastNotBalance) {
		this.lastNotBalance = lastNotBalance;
	}

	public Integer getCurHaveLoss() {
		return curHaveLoss;
	}

	public void setCurHaveLoss(Integer curHaveLoss) {
		this.curHaveLoss = curHaveLoss;
	}

	public Integer getCurNotLoss() {
		return curNotLoss;
	}

	public void setCurNotLoss(Integer curNotLoss) {
		this.curNotLoss = curNotLoss;
	}

	public Integer getCurHaveAdd() {
		return curHaveAdd;
	}

	public void setCurHaveAdd(Integer curHaveAdd) {
		this.curHaveAdd = curHaveAdd;
	}

	public Integer getCurNotAdd() {
		return curNotAdd;
	}

	public void setCurNotAdd(Integer curNotAdd) {
		this.curNotAdd = curNotAdd;
	}

	public Integer getCurHaveCount() {
		return curHaveCount;
	}

	public void setCurHaveCount(Integer curHaveCount) {
		this.curHaveCount = curHaveCount;
	}

	public Integer getCurNotCount() {
		return curNotCount;
	}

	public void setCurNotCount(Integer curNotCount) {
		this.curNotCount = curNotCount;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
    

}
	

